# Generated by Django 4.2.3 on 2023-10-16 17:08

from django.db import migrations

def migrate_communities(apps, schema_editor):
    '''copies the communities from the intermediary model into the inner field'''
    CommunityJoboffer = apps.get_model("djangoldp_community", "CommunityJoboffer")
    for communityjoboffer in CommunityJoboffer.objects.all():
        communityjoboffer.joboffer.community = communityjoboffer.community
        communityjoboffer.joboffer.save()

def reverse_migrate_communities(apps, schema_editor):
    '''copies the communities from the inner field into the intermediary model'''
    JobOffer = apps.get_model("djangoldp_joboffer", "JobOffer")
    CommunityJoboffer = apps.get_model("djangoldp_community", "CommunityJoboffer")
    for joboffer in JobOffer.objects.all():
        if joboffer.community:
            joboffer.oldcommunity, created = CommunityJoboffer.objects.get_or_create(joboffer=joboffer, community=joboffer.community)
            joboffer.save()

class Migration(migrations.Migration):

    dependencies = [
        ('djangoldp_joboffer', '0011_joboffer_community_alter_joboffer_urlid'),
    ]

    operations = [
        migrations.RunPython(migrate_communities, reverse_migrate_communities),
    ]